/*
** Fonts
** -----------------------------------------------------------------------------
*/

@import url('https://fonts.googleapis.com/css?family=Montserrat');
@import url('https://fonts.googleapis.com/css?family=Dancing+Script');
/* @font-face {
   font-family: 'Quirlycues';
   src: url(../fonts/Quirlycues.ttf);
} */

.topnav {
    background-color: #333;
    overflow: hidden;
}

/* Style the links inside the navigation bar */
.topnav a {
    float: left;
    color: #f2f2f2;
    text-align: center;
    padding: 14px 16px;
    text-decoration: none;
    font-size: 17px;
}

/* Change the color of links on hover */
.topnav a:hover {
    background-color: #ddd;
    color: black;
}

/* Add a color to the active/current link */
.topnav a.active {
    background-color: #04AA6D;
    color: white;
}

/*
** Base html
** -----------------------------------------------------------------------------
*/

body {
  background-color: #a44c9f;
  color: #666;
  font-size: 16px;
  font-family: 'Montserrat', sans-serif;
  font-weight: 400;
  line-height: 1.50;
  overflow-x: hidden;
}
ol, ul {
  list-style: none;
}
blockquote, q {
  quotes: none;
}
blockquote:before,
blockquote:after,
q:before,
q:after {
  content: '';
  content: none;
}
table {
  border-collapse: collapse;
  border-spacing: 0;
}
.vertical-align {
  display: flex;
  align-items: center;
}

/*
** Splash Screen
** -----------------------------------------------------------------------------
*/

#splash {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: #fff;
  z-index: 42;
}

/*
** Website Logo
** -----------------------------------------------------------------------------
*/

#logo {
  width: 100%;
  min-height: 250px;
  margin-left: auto;
  margin-right: auto;
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  background-image:
    radial-gradient(rgba(126, 0, 119, 0.15),
    rgba(126, 0, 119, 0.75)),
    url("../../../public/images/kitchen-banner.jpg");
}
#logo img {
  height: 100px;
  width: auto;
  margin-top: 24px;
}
#logo h1 {
  font-family: 'Quirlycues';
  font-size: 72px;
  font-weight: normal;
  padding-top: 24px;
  color: #f9f9f9;
}

/*
** Recipes Categories
** -----------------------------------------------------------------------------
*/

#categories {
  background-color: #f9f9f9;
  padding-top: 12px;
  padding-bottom: 24px;
}
#categories h2 {
  color: #333;
  font-family: 'Dancing Script', cursive;
  font-size: 2em;
  margin-bottom: 12px;
}
.category-item {
  border: 2px;
  border-color: #ff58df;
  border-radius: 2.5px;
  border-style: solid !important;
  background-color: #a44c9f;
  color: #f9f9f9;
  font-weight: bold;
  margin-top: 6px;
}
.category-item i {
  padding-top: 6px;
  padding-bottom: 3px;
}
.show-all {
  margin-top: 12px;
}

/*
** Recipes Items
** -----------------------------------------------------------------------------
*/

#items {
  background-color: #f1f1f1;
  padding-top: 12px;
  padding-bottom: 24px;
}
#items h2 {
  color: #333;
  font-family: 'Dancing Script', cursive;
  font-size: 2em;
  margin-bottom: 12px;
}
#items h3 {
  margin-top: 12px;
  color: #666;
}
.recipe-item {
  margin-bottom: 24px;
  padding-bottom: 12px;
  background-color: #fff;
  -webkit-box-shadow: 0 1px 0 rgba(0,0,0,.15);
  -moz-box-shadow: 0 1px 0 rgba(0,0,0,.15);
  box-shadow: 0 1px 0 rgba(0,0,0,.15);
}
.recipe-item img {
  width: 100%;
  height: auto;
}

/*
** Recipe Section
** -----------------------------------------------------------------------------
*/

#recipe {
  background-color: #f1f1f1;
  padding-top: 12px;
  padding-bottom: 24px;
}
#recipe h2 {
  color: #333;
  font-family: 'Dancing Script', cursive;
  font-size: 2em;
  margin-bottom: 24px;
  margin-top: 12px;
}
#recipe h3 {
  background-color: #f1f1f1;
  margin-top: 24px;
}
.recipe-picture {
  max-width: 100%;
  height: auto;
  margin-bottom: 24px;
  margin-top: 6px;
  -webkit-box-shadow:
    0px 0px 0px 2px rgba(0,0,0,0.6),
    0px 0px 0px 14px #fff,
    0px 0px 0px 18px rgba(0,0,0,0.2),
    6px 6px 8px 17px #555;
  -moz-box-shadow:
    0px 0px 0px 2px rgba(0,0,0,0.6),
    0px 0px 0px 14px #fff,
    0px 0px 0px 18px rgba(0,0,0,0.2),
    6px 6px 8px 17px #555;
  box-shadow:
    0px 0px 0px 2px rgba(0,0,0,0.6),
    0px 0px 0px 14px #fff,
    0px 0px 0px 18px rgba(0,0,0,0.2),
    6px 6px 8px 17px #555;
}
.recipe-info .row {
  margin-top: 12px;
  padding-top: 6px;
  padding-bottom: 6px;
  background-color: #f9f9f9;
  -webkit-box-shadow: 0 1px 0 rgba(0,0,0,.15);
  -moz-box-shadow: 0 1px 0 rgba(0,0,0,.15);
  box-shadow: 0 1px 0 rgba(0,0,0,.15);
}
.recipe-info i {
  color: #a44c9f;
}
.recipe-ingredients {
  background-color: #f9f9f9;
  margin-top: 24px;
}
.ingredients-list dl {
  display: inline-block;
  width: 100%;
  padding: 0;
  margin: 0;
  overflow: hidden;
}
.ingredients-list dt {
  width: 15%;
  float: left;
  margin: 0 0 8px;
  padding: 0 10px;
  font-size: 13px;
  line-height: 37px;
  background: #f9f9f9;
  -webkit-box-shadow: 0 1px 0 rgba(0,0,0,.15);
  -moz-box-shadow: 0 1px 0 rgba(0,0,0,.15);
  box-shadow: 0 1px 0 rgba(0,0,0,.15);
}
.ingredients-list dd {
  width: 85%;
  float: left;
  margin: 0 0 8px;
  padding: 0 15px;
  font-size: 13px;
  line-height: 37px;
  font-weight: 600;
  background: #a44c9f;
  color: #f9f9f9;
  -webkit-box-shadow: 0 1px 0 rgba(0,0,0,.15);
  -moz-box-shadow: 0 1px 0 rgba(0,0,0,.15);
  box-shadow: 0 1px 0 rgba(0,0,0,.15);
}
.recipe-directions ol {
    counter-reset: li;
    list-style: none;
    padding: 0;
    margin-bottom: 4em;
    text-shadow: 0 1px 0 rgba(255,255,255,.5);
}
.recipe-directions ol ol {
    margin: 0 0 0 2em;
}
.recipe-directions li {
    position: relative;
    display: block;
    padding: .4em .4em .4em .8em;
    *padding: .4em;
    margin: .5em 0 .5em 2.5em;
    background: #f9f9f9;
    color: #222;
    text-decoration: none;
    transition: all .3s ease-out;
    -webkit-box-shadow: 0 1px 0 rgba(0,0,0,.15);
    -moz-box-shadow: 0 1px 0 rgba(0,0,0,.15);
    box-shadow: 0 1px 0 rgba(0,0,0,.15);
}
.recipe-directions li:hover{
    background: #f1f1f1;
}
.recipe-directions li:before{
    content: counter(li);
    counter-increment: li;
    position: absolute;
    left: -2.5em;
    top: 50%;
    margin-top: -1em;
    background: #a44c9f;
    height: 2em;
    width: 2em;
    line-height: 2em;
    text-align: center;
    font-weight: bold;
    color: #f9f9f9;
}
.recipe-directions li:after{
    position: absolute;
    content: '';
    border: .5em solid transparent;
    left: -1em;
    top: 50%;
    margin-top: -.5em;
    transition: all .3s ease-out;
}
.recipe-directions li:hover:after{
    left: -.5em;
    border-left-color: #a44c9f;
}

/*
** Website Footer
** -----------------------------------------------------------------------------
*/

footer {
  background-color: #a44c9f;
  color: #f9f9f9;
  margin-bottom: 24px;
  margin-top: 24px;
}
.footer-about {
  margin-bottom: 24px;
  font-style: italic;
}
.footer-author {
  margin: 0;
  position: absolute;
  top: 50%;
  left: 50%;
  margin-right: -50%;
  transform: translate(-50%, -50%)
}
.footer-author a {
  color: #f9f9f9;
  font-weight: bold;
}
